@echo off
CLS
IF ARG==ARG%1 GOTO error
IF %1==F GOTO FAST
IF %1==f GOTO FAST
IF %1==S GOTO SLOW
IF %1==s GOTO SLOW
If %1==? goto HELP
goto error
:FAST
CLS
echo SPEED UP MICROSCOPE
erase mic_cfg.dta
copy mic_cfgf.dta mic_cfg.dta
setup.exe
cls
echo Okay: All done - Microscope has been speeded up.
echo Please now start Microscope and use the CFG button to fine tune your
echo preferences. The CFG button is next to the FINI button near the top
echo of the screen and to the right. 
echo 
pause
cls
goto end
:SLOW
echo SLOW DOWN MICROSCOPE
erase mic_cfg.dta
copy mic_cfgs.dta mic_cfg.dta
setup.exe
cls
echo Okay: All done - Microscope has been SLOWED DOWN!
echo Please now start Microscope and use the CFG button to fine tune your
echo preferences. The CFG button is next to the FINI button near the top
echo of the screen and to the right. 
echo 
pause
cls
goto end
:error
:HELP
cls
echo ---------------------------------------------------------------------
echo Micspeed (Microscope configuration Utility) for Ver.3.0 (C) MOLCOL 95
echo ---------------------------------------------------------------------
echo Please include a letter in the command line:-
echo Micspeed S       To configure Microscope to operate Slower
echo Micspeed F       To configure Microscope to operate Faster
echo Micspeed ?       For information!!
echo  
echo About this utility:-
echo ====================
echo Microscope for the PC has on-screen buttons and controls, and various
echo features which will respond differently depending on the type of PC 
echo and software configuration you have. It will also respond differently
echo when run from DOS instead of WINDOWS.
echo 
echo In some cases, clicking on a button may cause an operation to happen
echo so fast or so slow that it becomes difficult to control Micrscope's
echo performance. If this happens then you should 'click' on the CFG button
echo on Microscope's main screen (where the images are viewed) and either
echo slow down or speed up the button responses and other features.
echo 
echo If this fails to achieve the desired performance on your machine, you
echo can use this utility (MICSPEED) to correct the problem.
echo 
pause
cls
echo If the button responses or features are TOO FAST even after you try to
echo slow things down using the CFG button, then you should enter the 
echo following from the DOS command line, whilst logged onto the MSCOPE
echo directory:-
echo MICSPEED S
echo 
echo Likewise, if microscope runs too slow on your PC, then enter:-
echo 
echo MICSPEED F
echo 
echo You may still need to fine tune operation by using the CFG button 
echo when you run Microscope again for the first time. Windows users 
echo can select the RUN option and type in MICSPEED S or MICSPEED F
cho in the run box. Remember to include the path name, eg.
echo C:\MSCOPE\MICSPEED F  or  C:\MSCOPE\MICSPEED S (or other drive letter
echo if the software is installed on a drive other than Drive C.
echo The MICSPEED utility must reside in the MSCOPE directory where the
echo main Microscope for the PC software is held. It can be used at any time
echo to switch between slow and fast operation. When running the utility,
echo you will need to reselect the SCREEN and LANGUAGE of choice.
echo 
pause
cls
echo IF FOR ANY REASON THIS UTILITY FAILS:-
echo --------------------------------------
echo If this utility fails to work then you can do the following manually
echo to Speed-up or Slow-down operation manually:-
echo 
echo Erase the file called MIC_CFG.DTA
echo To speed up Microscope, copy the file called MIC_CFGF.DTA to
echo MIC_CFG.DTA eg: COPY mic_cfgf.dta  mic_cfg.dta
echo 
echo To slow down Microscope, copy the file called MIC_CFGS.DTA to
echo MIC_CFG.DTA eg: COPY mic_cfgs.dta mic_cfg.dta
echo 
echo Then from the command line, enter: SETUP.EXE to complete the operation!
echo 
echo Notes:-
echo =======
echo This utility makes no difference to video slidesets speed. Its
echo only purpose is to enable optimum response to user-operated 
echo controls. It is designed to allow Microscope to work efficiently on
echo a wide range of PCs with different processors, hard-disks, and 
echo memory managers either from DOS or Windows. Normally, you would use
echo it once as part of your intitial configuration and setup.
echo 
pause
cls
echo PLEASE PRESS A KEY NOW TO END THIS NOTICE and then enter one of the
echo following from the command line:-
echo 
echo Micspeed S       To configure Microscope to operate Slower
echo Micspeed F       To configure Microscope to operate Faster
echo 
pause
:end
echo 
